# MatMFFDRegisterDynamic

Adds a method to the MatMFFD registry.

### Synopsis

    PetscErrorCode MatMFFDRegisterDynamic(char *name_solver,char *path,char *name_create,PetscErrorCode (*routine_create)(MatMFFD))

Not Collective

### Input Parameters

| name_solver | - name of a new user-defined compute-h module
| path | - path (either absolute or relative) the library containing this solver
| name_create | - name of routine to create method context
| routine_create | - routine to create method context

### Notes

MatMFFDRegisterDynamic() may be called multiple times to add several user-defined solvers.

If dynamic libraries are used, then the fourth input argument (routine_create) is ignored.

### Sample usage

       MatMFFDRegisterDynamic("my_h",/home/username/my_lib/lib/libO/solaris/mylib.a,
                   "MyHCreate",MyHCreate);

Then, your solver can be chosen with the procedural interface via

        MatMFFDSetType(mfctx,"my_h")

or at runtime via the option

        -snes_mf_type my_h

### Keywords

MatMFFD, register

### See Also

MatMFFDRegisterAll(), MatMFFDRegisterDestroy()

Level:developer
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages